Promote vmto gateway
curl --request POST \
--url https://{host}/api/supervisors/{name}/security/flows/ingress-forensics/vm/promote \
--header 'Content-Type: application/json' \
--cookie k8s-gate-session= \
--data '
{
"clusterIssuer": "<string>",
"hostname": "<string>",
"namespace": "<string>",
"port": 123,
"vm": "<string>"
}
'import requests
url = "https://{host}/api/supervisors/{name}/security/flows/ingress-forensics/vm/promote"
payload = {
"clusterIssuer": "<string>",
"hostname": "<string>",
"namespace": "<string>",
"port": 123,
"vm": "<string>"
}
headers = {
"cookie": "k8s-gate-session=",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {cookie: 'k8s-gate-session=', 'Content-Type': 'application/json'},
body: JSON.stringify({
clusterIssuer: '<string>',
hostname: '<string>',
namespace: '<string>',
port: 123,
vm: '<string>'
})
};
fetch('https://{host}/api/supervisors/{name}/security/flows/ingress-forensics/vm/promote', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{host}/api/supervisors/{name}/security/flows/ingress-forensics/vm/promote",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'clusterIssuer' => '<string>',
'hostname' => '<string>',
'namespace' => '<string>',
'port' => 123,
'vm' => '<string>'
]),
CURLOPT_COOKIE => "k8s-gate-session=",
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://{host}/api/supervisors/{name}/security/flows/ingress-forensics/vm/promote"
payload := strings.NewReader("{\n \"clusterIssuer\": \"<string>\",\n \"hostname\": \"<string>\",\n \"namespace\": \"<string>\",\n \"port\": 123,\n \"vm\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("cookie", "k8s-gate-session=")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://{host}/api/supervisors/{name}/security/flows/ingress-forensics/vm/promote")
.header("cookie", "k8s-gate-session=")
.header("Content-Type", "application/json")
.body("{\n \"clusterIssuer\": \"<string>\",\n \"hostname\": \"<string>\",\n \"namespace\": \"<string>\",\n \"port\": 123,\n \"vm\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://{host}/api/supervisors/{name}/security/flows/ingress-forensics/vm/promote")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["cookie"] = 'k8s-gate-session='
request["Content-Type"] = 'application/json'
request.body = "{\n \"clusterIssuer\": \"<string>\",\n \"hostname\": \"<string>\",\n \"namespace\": \"<string>\",\n \"port\": 123,\n \"vm\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}security
Promote vmto gateway
Promote a VM onto the shared Gateway (TLS terminate) so its inbound
Authorisation: vm:Expose on krn:celum:supervisor:{name}:vm:*.
POST
/
api
/
supervisors
/
{name}
/
security
/
flows
/
ingress-forensics
/
vm
/
promote
Promote vmto gateway
curl --request POST \
--url https://{host}/api/supervisors/{name}/security/flows/ingress-forensics/vm/promote \
--header 'Content-Type: application/json' \
--cookie k8s-gate-session= \
--data '
{
"clusterIssuer": "<string>",
"hostname": "<string>",
"namespace": "<string>",
"port": 123,
"vm": "<string>"
}
'import requests
url = "https://{host}/api/supervisors/{name}/security/flows/ingress-forensics/vm/promote"
payload = {
"clusterIssuer": "<string>",
"hostname": "<string>",
"namespace": "<string>",
"port": 123,
"vm": "<string>"
}
headers = {
"cookie": "k8s-gate-session=",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {cookie: 'k8s-gate-session=', 'Content-Type': 'application/json'},
body: JSON.stringify({
clusterIssuer: '<string>',
hostname: '<string>',
namespace: '<string>',
port: 123,
vm: '<string>'
})
};
fetch('https://{host}/api/supervisors/{name}/security/flows/ingress-forensics/vm/promote', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{host}/api/supervisors/{name}/security/flows/ingress-forensics/vm/promote",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'clusterIssuer' => '<string>',
'hostname' => '<string>',
'namespace' => '<string>',
'port' => 123,
'vm' => '<string>'
]),
CURLOPT_COOKIE => "k8s-gate-session=",
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://{host}/api/supervisors/{name}/security/flows/ingress-forensics/vm/promote"
payload := strings.NewReader("{\n \"clusterIssuer\": \"<string>\",\n \"hostname\": \"<string>\",\n \"namespace\": \"<string>\",\n \"port\": 123,\n \"vm\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("cookie", "k8s-gate-session=")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://{host}/api/supervisors/{name}/security/flows/ingress-forensics/vm/promote")
.header("cookie", "k8s-gate-session=")
.header("Content-Type", "application/json")
.body("{\n \"clusterIssuer\": \"<string>\",\n \"hostname\": \"<string>\",\n \"namespace\": \"<string>\",\n \"port\": 123,\n \"vm\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://{host}/api/supervisors/{name}/security/flows/ingress-forensics/vm/promote")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["cookie"] = 'k8s-gate-session='
request["Content-Type"] = 'application/json'
request.body = "{\n \"clusterIssuer\": \"<string>\",\n \"hostname\": \"<string>\",\n \"namespace\": \"<string>\",\n \"port\": 123,\n \"vm\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Authorizations
sessionCookiebearerToken
The session cookie issued by the OIDC sign-in flow. This is what a browser uses.
Path Parameters
The supervisor's name, as registered under Administration → Supervisors.
Response
Created. The body is not described: the code sends map[string]any.